import { useEffect, useState } from 'react';
import useSDK from './useSDK';
import { RRListenable } from '@inkerlabs/sdk';
export default function useRedeemableBalance() {
    var sdk = useSDK();
    var _a = useState(undefined), balance = _a[0], setBalance = _a[1];
    var _b = useState(undefined), error = _b[0], setError = _b[1];
    if (sdk === null) {
        throw new Error('You must be in a RedeemAndRevealContext to use hooks');
    }
    var id;
    useEffect(function () {
        if (id) {
            sdk.unlisten(id, RRListenable.REDEEMABLE);
        }
        id = sdk.listen(RRListenable.REDEEMABLE, function (err, _balance) {
            setError(err);
            setBalance(_balance);
        });
    }, []);
    // Emulate componentWillUnmount
    useEffect(function () {
        return function () {
            if (id) {
                sdk.unlisten(id, RRListenable.REDEEMABLE);
            }
        };
    }, []);
    return [balance, error];
}
