import { useEffect, useState } from 'react';
import useSDK from './useSDK';
import { SRListenable } from '@inkerlabs/sdk';
export default function useNFTs() {
    var sdk = useSDK();
    var _a = useState(undefined), nfts = _a[0], setNfts = _a[1];
    var _b = useState(undefined), error = _b[0], setError = _b[1];
    if (sdk === null) {
        throw new Error('You must be in a SimultaneousRevealContext to use hooks');
    }
    var id;
    useEffect(function () {
        if (id) {
            sdk.unlisten(id, SRListenable.NFTS);
        }
        id = sdk.listen(SRListenable.NFTS, function (err, nfts) {
            setError(err);
            setNfts(nfts);
        });
    }, []);
    // Emulate componentWillUnmount
    useEffect(function () {
        return function () {
            if (id) {
                sdk.unlisten(id, SRListenable.NFTS);
            }
        };
    }, []);
    return [nfts, error];
}
